> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konbiniapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video details

> Returns details for a single TikTok video including engagement counts, media files in multiple qualities, audio track, author info, and hashtags.

## What it does

Returns details for a single TikTok video including engagement counts, media files in multiple qualities, audio track, author info, and hashtags.

## Tool details

| Field         | Value                             |
| ------------- | --------------------------------- |
| Tool name     | `tiktok_get_video`                |
| Platform      | TikTok                            |
| REST endpoint | `GET /v1/tiktok/videos/{videoId}` |
| Result type   | Detail tool                       |

## Parameters

| Parameter           | Type       | Required | Description                                                                                    |
| ------------------- | ---------- | -------- | ---------------------------------------------------------------------------------------------- |
| `videoId`           | `string`   | Yes      | TikTok video ID                                                                                |
| `projection_preset` | `string`   | No       | Defaults to `minimal`. Allowed values: `full`, `minimal`, `identity`, `engagement`, `content`. |
| `data_fields`       | `string[]` | No       | Adds top-level keys from `data` on top of the selected `projection_preset`.                    |

## Example

```json theme={null}
{
  "name": "tiktok_get_video",
  "arguments": {
    "videoId": "7526718640041882912",
    "projection_preset": "minimal",
    "data_fields": [
      "entityId",
      "published",
      "content",
      "url"
    ]
  }
}
```

## Available data fields

* `@context`
* `type`
* `id`
* `url`
* `entityId`
* `content`
* `published`
* `duration`
* `viewCount`
* `likeCount`
* `commentCount`
* `repostCount`
* `shareCount`
* `saveCount`
* `language`
* `isSponsored`
* `location`
* `tag`
* `attributedTo`
* `attachment`
* `image`
* `preview`
* `audio`

## Response notes

Successful calls return a JSON object with a top-level `data` field and, when
available, `metadata.creditsUsed` and `metadata.creditsRemaining`. See
[response format](/getting-started/response-format),
[pagination](/getting-started/pagination), and [credits](/getting-started/credits).
